NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.ToolingBoxBuilder Class Reference

Represents a NXOpen.Features.ToolingBox builder More...

Inheritance diagram for NXOpen.Features.ToolingBoxBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  RefCsysType { Wcs, AbsoluteinDisplayedPart, SelectedCsys }
 the type of reference csys for box feature More...
 
enum  Types { CenterAndLengths, BoundedBlock, BoundedCylinder }
 the type for box feature More...
 

Public Member Functions

unsafe void CalculateBoxSize ()
 Calculate box size and set directions, edge length, lower point position. More...
 
unsafe void SetBoxMatrixAndPosition (NXOpen.Matrix3x3 matrix, NXOpen.Point3d position)
 Sets box csys matrix. More...
 
unsafe void SetSelectedOccurrences (NXOpen.NXObject[] selections, NXOpen.NXObject[] deselections)
 Sets selected object occurrences. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Point AxisPoint [get, set]
 Returns or sets the point on the axis of the bounded cylinder More...
 
unsafe NXOpen.Direction AxisVector [get, set]
 Returns or sets the cylinder axis vector to create the bounded cylinder More...
 
unsafe NXOpen.ScCollector BoundedObject [get]
 Returns the objects used for bounded box creation. More...
 
unsafe NXOpen.NXColor BoxColor [get, set]
 Returns or sets the box color. More...
 
unsafe NXOpen.Point3d BoxPosition [get, set]
 Returns or sets the position of csys for box. More...
 
unsafe NXOpen.Expression Clearance [get]
 Returns the clearance value for box in six directions. More...
 
unsafe bool CsysAssociative [get, set]
 Returns or sets the csys associative More...
 
unsafe
NXOpen.SelectCoordinateSystem 
CsysSelection [get]
 Returns the selected reference csys More...
 
unsafe NXOpen.SelectNXObjectList FacetBodies [get]
 Returns the selected facet bodies. More...
 
unsafe bool NonAlignedMinimumBox [get, set]
 Returns or sets the value that indicates whether to create non-aligned minimum bounding body or not. More...
 
unsafe NXOpen.Expression OffsetNegativeX [get]
 Returns the offset value for box in -X direction. More...
 
unsafe NXOpen.Expression OffsetNegativeY [get]
 Returns the offset value for box in -Y direction. More...
 
unsafe NXOpen.Expression OffsetNegativeZ [get]
 Returns the offset value for box in -Z direction. More...
 
unsafe NXOpen.Expression OffsetPositiveX [get]
 Returns the offset value for box in +X direction. More...
 
unsafe NXOpen.Expression OffsetPositiveY [get]
 Returns the offset value for box in +Y direction. More...
 
unsafe NXOpen.Expression OffsetPositiveZ [get]
 Returns the offset value for box in +Z direction. More...
 
unsafe double PositionPrecisionValue [get, set]
 Returns or sets the precision value for the center point of bounded box More...
 
unsafe double PrecisionValue [get, set]
 Returns or sets the precision value for the size of bounded box More...
 
unsafe NXOpen.Expression RadialOffset [get]
 Returns the radial offset value for cylinder box More...
 
unsafe
NXOpen.Features.ToolingBoxBuilder.RefCsysType 
ReferenceCsysType [get, set]
 Returns or sets the reference csys type More...
 
unsafe bool ShowDimension [get, set]
 Returns or sets the value indicate whether to show bounded box dimension or not during preview. More...
 
unsafe bool SingleOffset [get, set]
 Returns or sets the option to control whether the handles operate individually or not. More...
 
unsafe
NXOpen.Features.ToolingBoxBuilder.Types 
Type [get, set]
 Returns or sets the box type. More...
 
unsafe NXOpen.Expression XValue [get]
 Returns the edge length in X direction for general box. More...
 
unsafe NXOpen.Expression YValue [get]
 Returns the edge length in Y direction for general box. More...
 
unsafe NXOpen.Expression ZValue [get]
 Returns the edge length in Z direction for general box. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.ToolingBox builder

To create a new instance of this class, use NXOpen.Features.ToolingFeatureCollection.CreateToolingBoxBuilder

Default values.

Property Value

Clearance.Value

0 (millimeters part), 0 (inches part)

OffsetNegativeX.Value

0 (millimeters part), 0 (inches part)

OffsetNegativeY.Value

0 (millimeters part), 0 (inches part)

OffsetNegativeZ.Value

0 (millimeters part), 0 (inches part)

OffsetPositiveX.Value

0 (millimeters part), 0 (inches part)

OffsetPositiveY.Value

0 (millimeters part), 0 (inches part)

OffsetPositiveZ.Value

0 (millimeters part), 0 (inches part)

RadialOffset.Value

0 (millimeters part), 0 (inches part)

ReferenceCsysType

Wcs

SingleOffset

1

XValue.Value

10 (millimeters part), 0.5 (inches part)

YValue.Value

10 (millimeters part), 0.5 (inches part)

ZValue.Value

10 (millimeters part), 0.5 (inches part)

Created in NX10.0.0

Member Enumeration Documentation

the type of reference csys for box feature

Enumerator
Wcs 

reference WCS

AbsoluteinDisplayedPart 

reference ABS in displayed part

SelectedCsys 

reference the selected csys

the type for box feature

Enumerator
CenterAndLengths 

block with center point and lengths

BoundedBlock 

bounded block

BoundedCylinder 

bounded cylinder

Member Function Documentation

unsafe void NXOpen.Features.ToolingBoxBuilder.CalculateBoxSize ( )
inline

Calculate box size and set directions, edge length, lower point position.

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

unsafe void NXOpen.Features.ToolingBoxBuilder.SetBoxMatrixAndPosition ( NXOpen.Matrix3x3  matrix,
NXOpen.Point3d  position 
)
inline

Sets box csys matrix.

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
matrix
position
unsafe void NXOpen.Features.ToolingBoxBuilder.SetSelectedOccurrences ( NXOpen.NXObject[]  selections,
NXOpen.NXObject[]  deselections 
)
inline

Sets selected object occurrences.

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
selectionsLast selected objects.
deselectionsLast deselected objects.

Property Documentation

unsafe NXOpen.Point NXOpen.Features.ToolingBoxBuilder.AxisPoint
getset

Returns or sets the point on the axis of the bounded cylinder

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.Features.ToolingBoxBuilder.AxisVector
getset

Returns or sets the cylinder axis vector to create the bounded cylinder

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.ToolingBoxBuilder.BoundedObject
get

Returns the objects used for bounded box creation.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.NXColor NXOpen.Features.ToolingBoxBuilder.BoxColor
getset

Returns or sets the box color.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point3d NXOpen.Features.ToolingBoxBuilder.BoxPosition
getset

Returns or sets the position of csys for box.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.ToolingBoxBuilder.Clearance
get

Returns the clearance value for box in six directions.

Created in NX10.0.0

License requirements: None.

unsafe bool NXOpen.Features.ToolingBoxBuilder.CsysAssociative
getset

Returns or sets the csys associative

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectCoordinateSystem NXOpen.Features.ToolingBoxBuilder.CsysSelection
get

Returns the selected reference csys

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Features.ToolingBoxBuilder.FacetBodies
get

Returns the selected facet bodies.

Created in NX10.0.0

License requirements: None.

unsafe bool NXOpen.Features.ToolingBoxBuilder.NonAlignedMinimumBox
getset

Returns or sets the value that indicates whether to create non-aligned minimum bounding body or not.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.ToolingBoxBuilder.OffsetNegativeX
get

Returns the offset value for box in -X direction.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ToolingBoxBuilder.OffsetNegativeY
get

Returns the offset value for box in -Y direction.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ToolingBoxBuilder.OffsetNegativeZ
get

Returns the offset value for box in -Z direction.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ToolingBoxBuilder.OffsetPositiveX
get

Returns the offset value for box in +X direction.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ToolingBoxBuilder.OffsetPositiveY
get

Returns the offset value for box in +Y direction.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ToolingBoxBuilder.OffsetPositiveZ
get

Returns the offset value for box in +Z direction.

Created in NX10.0.0

License requirements: None.

unsafe double NXOpen.Features.ToolingBoxBuilder.PositionPrecisionValue
getset

Returns or sets the precision value for the center point of bounded box

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.ToolingBoxBuilder.PrecisionValue
getset

Returns or sets the precision value for the size of bounded box

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.ToolingBoxBuilder.RadialOffset
get

Returns the radial offset value for cylinder box

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Features.ToolingBoxBuilder.RefCsysType NXOpen.Features.ToolingBoxBuilder.ReferenceCsysType
getset

Returns or sets the reference csys type

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.ToolingBoxBuilder.ShowDimension
getset

Returns or sets the value indicate whether to show bounded box dimension or not during preview.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.ToolingBoxBuilder.SingleOffset
getset

Returns or sets the option to control whether the handles operate individually or not.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.ToolingBoxBuilder.Types NXOpen.Features.ToolingBoxBuilder.Type
getset

Returns or sets the box type.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.ToolingBoxBuilder.XValue
get

Returns the edge length in X direction for general box.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ToolingBoxBuilder.YValue
get

Returns the edge length in Y direction for general box.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ToolingBoxBuilder.ZValue
get

Returns the edge length in Z direction for general box.

Created in NX10.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.